!INTEGER, PARAMETER:: G_6_COEFFS_LEN = 84 

PURE FUNCTION  CONVERT_COEFFS_FOR_G_6 (A, y1, y2) RESULT(U) 
COMPLEX(DP),INTENT(IN) :: A(0:MAX_COS_ORDER) 
REAL(DP), INTENT(IN) :: y1, y2 
COMPLEX(DP):: U(1: G_6_COEFFS_LEN ) 
REAL(DP):: l, g 

l = y2-y1
g = (1-y2)/l

U(1) = ((g*((-A(5)*4.725E+2_DP*g)-A(5)*4.725E+2_DP&
	&+A(4)*5.25E+1_DP)-A(5)*1.0500000000000001E+2_DP+A(4)&
	&*2.625E+1_DP-A(3)*3.75E+0_DP)*l**2-A(5)*5.4140625E+1_DP)/l**5
U(2) = -(A(5)*1.23046875E+1_DP)/l**5
U(3) = ((g*(A(5)*2.3625E+2_DP*g+A(5)*2.3625E&
	&+2_DP-A(4)*2.625E+1_DP)+A(5)*5.25E+1_DP-A(4)*1.3125E+1_DP+1.875E+0_DP*A(3))&
	&*l**2+A(5)*1.96875E+1_DP)/l**5
U(4) = (A(5)*9.84375E+0_DP)/l**5
U(5) = (4.921875E+0_DP*A(5))/l**5
U(6) = -(2.4609375E+0_DP*A(5))/l**5
U(7) = (l**2*((g*(g*(g*(A(5)*6.3E+2_DP*g+A(5)&
	&*1.26E+3_DP-A(4)*1.3999999999999999E+2_DP)+A(5)&
	&*8.4E+2_DP-A(4)*2.1000000000000002E+2_DP+A(3)*3.E+1_DP)+A(5)*2.1000000000000002E&
	&+2_DP-A(4)*9.E+1_DP+A(3)*3.E+1_DP-A(2)*6.E+0_DP)+A(5)*1.5E&
	&+1_DP-A(4)*1.E+1_DP+A(3)*6.E+0_DP-A(2)*3.E+0_DP+A(1)*1.E+0_DP)*l**2&
	&+g*(A(5)*7.0875E+2_DP*g+A(5)*7.0875E+2_DP-A(4)*7.875E+1_DP)&
	&+A(5)*1.575E+2_DP-A(4)*3.9375E+1_DP+A(3)*5.625E+0_DP)&
	&+A(5)*4.8603515625E+1_DP)/l**5
U(8) = ((g*(A(5)*7.0875E+2_DP*g+A(5)*7.0875E&
	&+2_DP-A(4)*7.875E+1_DP)+A(5)*1.575E+2_DP-A(4)*3.9375E+1_DP+A(3)*5.625E+0_DP)&
	&*l**2+A(5)*7.65966796875E+1_DP)/l**5
U(9) = (A(5)*2.30712890625E+1_DP)/l**5
U(10) = ((g*(A(5)*5.90625E+1_DP*g+A(5)&
	&*5.90625E+1_DP-A(4)*6.5625E+0_DP)+A(5)*1.3125E+1_DP-3.28125E+0_DP&
	&*A(4)+4.6875E-1_DP*A(3))*l**2+A(5)*6.15234375E+0_DP)/l**5
U(11) = ((g*((-A(5)*1.771875E+2_DP*g)-A(5)*1.771875E&
	&+2_DP+A(4)*1.96875E+1_DP)-A(5)*3.9375E+1_DP+A(4)&
	&*9.84375E+0_DP-1.40625E+0_DP*A(3))*l**2-A(5)*1.2919921875E+1_DP)/l**5
U(12) = -(A(5)*9.228515625E+0_DP)/l**5
U(13) = (6.15234375E-1_DP*A(5))/l**5
U(14) = -(2.7685546875E+0_DP*A(5))/l**5
U(15) = (1.5380859375E+0_DP*A(5))/l**5
U(16) = (l**2*((g*(g*(g*((-A(5)*6.3E+2_DP*g)-A(5)&
	&*1.26E+3_DP+A(4)*1.3999999999999999E+2_DP)-A(5)*8.4E&
	&+2_DP+A(4)*2.1000000000000002E+2_DP-A(3)*3.E+1_DP)-A(5)*2.1000000000000002E&
	&+2_DP+A(4)*9.E+1_DP-A(3)*3.E+1_DP+A(2)*6.E+0_DP)-A(5)*1.5E+1_DP&
	&+A(4)*1.E+1_DP-A(3)*6.E+0_DP+A(2)*3.E+0_DP-A(1)*1.E+0_DP)*l*&
	&*2+g*((-A(5)*7.678125E+2_DP*g)-A(5)*7.678125E+2_DP&
	&+A(4)*8.53125E+1_DP)-A(5)*1.70625E+2_DP+A(4)*4.265625E+1_DP-A(3)&
	&*6.09375E+0_DP)-A(5)*5.537109375E+1_DP)/l**5
U(17) = ((g*((-A(5)*5.315625E+2_DP*g)-A(5)*5.315625E&
	&+2_DP+A(4)*5.90625E+1_DP)-A(5)*1.18125E+2_DP+A(4)&
	&*2.953125E+1_DP-A(3)*4.21875E+0_DP)*l**2-A(5)*6.0908203125E+1_DP)/l**5
U(18) = -(A(5)*1.5380859375E+1_DP)/l**5
U(19) = ((g*(g*((-A(5)*9.45E+2_DP*g)-A(5)*1.4175E&
	&+3_DP+A(4)*1.575E+2_DP)-A(5)*6.3E+2_DP+A(4)*1.575E&
	&+2_DP-A(3)*2.25E+1_DP)-A(5)*7.875E+1_DP+A(4)*3.375E+1_DP-A(3)*1.125E+1_DP&
	&+A(2)*2.25E+0_DP)*l**2-A(5)*3.9375E+2_DP*g-A(5)*1.96875E+2_DP&
	&+A(4)*2.1875E+1_DP)/l**4
U(20) = ((-A(5)*1.96875E+2_DP*g)-A(5)*9.84375E&
	&+1_DP+A(4)*1.09375E+1_DP)/l**4
U(21) = ((g*(g*(A(5)*3.15E+2_DP*g+A(5)*4.725E&
	&+2_DP-A(4)*5.25E+1_DP)+A(5)*2.1000000000000002E+2_DP-A(4)*5.25E+1_DP&
	&+A(3)*7.5E+0_DP)+A(5)*2.625E+1_DP-A(4)*1.125E+1_DP&
	&+A(3)*3.75E+0_DP-7.499999999999999E-1_DP*A(2))*l**2+A(5)*1.96875E+2_DP&
	&*g+A(5)*9.84375E+1_DP-A(4)*1.09375E+1_DP)/l**4
U(22) = (A(5)*9.84375E+1_DP*g+A(5)&
	&*4.921875E+1_DP-A(4)*5.46875E+0_DP)/l**4
U(23) = ((-A(5)*3.9375E+1_DP*g)-A(5)*1.96875E&
	&+1_DP+2.1875E+0_DP*A(4))/l**4
U(24) = ((-A(5)*1.96875E+1_DP*g)-A(5)*9.84375E&
	&+0_DP+1.09375E+0_DP*A(4))/l**4
U(25) = ((g*(g*(A(5)*6.3E+2_DP*g+A(5)&
	&*9.45E+2_DP-A(4)*1.0500000000000001E+2_DP)+A(5)*4.2E+2_DP-A(4)&
	&*1.0500000000000001E+2_DP+A(3)*1.5E+1_DP)+A(5)*5.25E+1_DP-A(4)*2.25E+1_DP&
	&+A(3)*7.5E+0_DP-1.4999999999999997E+0_DP*A(2))*l**2+A(5)*2.75625E&
	&+2_DP*g+A(5)*1.378125E+2_DP-A(4)*1.53125E+1_DP)/l**4
U(26) = (A(5)*1.18125E+2_DP*g+A(5)*5.90625E&
	&+1_DP-A(4)*6.5625E+0_DP)/l**4
U(27) = ((g*(g*((-A(5)*6.3E+2_DP*g)-A(5)*9.45E&
	&+2_DP+A(4)*1.0500000000000001E+2_DP)-A(5)*4.2E+2_DP&
	&+A(4)*1.0500000000000001E+2_DP-A(3)*1.5E+1_DP)-A(5)*5.25E+1_DP+A(4)*2.25E&
	&+1_DP-A(3)*7.5E+0_DP+1.4999999999999997E+0_DP*A(2))*l&
	&**2-A(5)*2.5593750000000004E+2_DP*g-A(5)*1.2796875000000002E+2_DP+A(4)&
	&*1.421875E+1_DP)/l**4
U(28) = ((-A(5)*1.771875E+2_DP*g)-A(5)*8.859375E&
	&+1_DP+A(4)*9.84375E+0_DP)/l**4
U(29) = ((-A(5)*1.96875E+1_DP*g)-A(5)*9.84375E&
	&+0_DP+1.09375E+0_DP*A(4))/l**4
U(30) = (A(5)*5.90625E+1_DP*g+A(5)&
	&*2.953125E+1_DP-3.28125E+0_DP*A(4))/l**4
U(31) = ((g*(A(5)*4.725E+2_DP*g+A(5)*4.725E&
	&+2_DP-A(4)*5.25E+1_DP)+A(5)*1.0500000000000001E+2_DP-A(4)*2.625E+1_DP&
	&+A(3)*3.75E+0_DP)*l**2+A(5)*5.16796875E+1_DP)/l**5
U(32) = (A(5)*1.845703125E+1_DP)/l**5
U(33) = ((g*((-A(5)*2.3625E+2_DP*g)-A(5)*2.3625E&
	&+2_DP+A(4)*2.625E+1_DP)-A(5)*5.25E+1_DP+A(4)*1.3125E+1_DP-1.875E&
	&+0_DP*A(3))*l**2-A(5)*2.953125E+1_DP)/l**5
U(34) = -(A(5)*1.4765625E+1_DP)/l**5
U(35) = (2.4609375E+0_DP*A(5))/l**5
U(36) = (3.69140625E+0_DP*A(5))/l**5
U(37) = ((g*((-A(5)*2.3625E+2_DP*g)-A(5)*2.3625E&
	&+2_DP+A(4)*2.625E+1_DP)-A(5)*5.25E+1_DP+A(4)*1.3125E+1_DP-1.875E&
	&+0_DP*A(3))*l**2-A(5)*2.67626953125E+1_DP)/l**5
U(38) = ((g*((-A(5)*2.3625E+2_DP*g)-A(5)*2.3625E&
	&+2_DP+A(4)*2.625E+1_DP)-A(5)*5.25E+1_DP+A(4)*1.3125E+1_DP-1.875E&
	&+0_DP*A(3))*l**2-A(5)*3.091552734375E+1_DP)/l**5
U(39) = -(A(5)*1.153564453125E+1_DP)/l**5
U(40) = ((g*(A(5)*2.953125E+2_DP*g+A(5)&
	&*2.953125E+2_DP-A(4)*3.28125E+1_DP)+A(5)*6.5625E+1_DP-A(4)*1.640625E&
	&+1_DP+2.34375E+0_DP*A(3))*l**2+A(5)*3.1376953125E+1_DP)/l**5
U(41) = ((g*(A(5)*5.90625E+1_DP*g+A(5)&
	&*5.90625E+1_DP-A(4)*6.5625E+0_DP)+A(5)*1.3125E+1_DP-3.28125E+0_DP&
	&*A(4)+4.6875E-1_DP*A(3))*l**2+A(5)*2.12255859375E+1_DP)/l**5
U(42) = (4.6142578125E+0_DP*A(5))/l**5
U(43) = (2.1533203125E+0_DP*A(5))/l**5
U(44) = -(A(5)*5.99853515625E+0_DP)/l**5
U(45) = -(7.6904296875E-1_DP*A(5))/l**5
U(46) = ((g*((-A(5)*5.90625E+1_DP*g)-A(5)*5.90625E&
	&+1_DP+A(4)*6.5625E+0_DP)-A(5)*1.3125E+1_DP&
	&+3.28125E+0_DP*A(4)-4.6875E-1_DP*A(3))*l**2-A(5)*6.767578125E+0_DP)/l**5
U(47) = ((g*(A(5)*1.771875E+2_DP*g+A(5)&
	&*1.771875E+2_DP-A(4)*1.96875E+1_DP)+A(5)*3.9375E+1_DP-A(4)*9.84375E&
	&+0_DP+1.40625E+0_DP*A(3))*l**2+A(5)*1.56884765625E+1_DP)/l**5
U(48) = (A(5)*7.6904296875E+0_DP)/l**5
U(49) = ((-A(5)*1.96875E+1_DP*g)-A(5)*9.84375E&
	&+0_DP+1.09375E+0_DP*A(4))/l**4
U(50) = (A(5)*4.921875E+1_DP*g+A(5)&
	&*2.4609375E+1_DP-2.734375E+0_DP*A(4))/l**4
U(51) = ((-A(5)*1.0828125E+2_DP*g)-A(5)*5.4140625E&
	&+1_DP+A(4)*6.015625E+0_DP)/l**4
U(52) = ((-A(5)*2.4609375E+1_DP*g)-A(5)&
	&*1.23046875E+1_DP+1.3671875E+0_DP*A(4))/l**4
U(53) = (A(5)*6.890625E+1_DP*g+A(5)&
	&*3.4453125E+1_DP-3.828125E+0_DP*A(4))/l**4
U(54) = (4.921875E+0_DP*A(5)*g&
	&+2.4609375E+0_DP*A(5)-2.734375E-1_DP*A(4))/l**4
U(55) = (A(5)*1.96875E+1_DP*g+A(5)&
	&*9.84375E+0_DP-1.09375E+0_DP*A(4))/l**4
U(56) = ((-A(5)*5.90625E+1_DP*g)-A(5)*2.953125E&
	&+1_DP+3.28125E+0_DP*A(4))/l**4
U(57) = (A(5)*4.921875E+1_DP*g+A(5)&
	&*2.4609375E+1_DP-2.734375E+0_DP*A(4))/l**4
U(58) = (A(5)*8.859375E+1_DP*g+A(5)&
	&*4.4296875E+1_DP-A(4)*4.921875E+0_DP)/l**4
U(59) = ((-A(5)*6.890625E+1_DP*g)-A(5)&
	&*3.4453125E+1_DP+3.828125E+0_DP*A(4))/l**4
U(60) = ((-A(5)*2.953125E+1_DP*g)-A(5)&
	&*1.4765625E+1_DP+1.640625E+0_DP*A(4))/l**4
U(61) = (2.4609375E+0_DP*A(5))/l**5
U(62) = -(A(5)*6.15234375E+0_DP)/l**5
U(63) = (A(5)*9.84375E+0_DP)/l**5
U(64) = (4.921875E+0_DP*A(5))/l**5
U(65) = -(A(5)*7.3828125E+0_DP)/l**5
U(66) = -(1.23046875E+0_DP*A(5))/l**5
U(67) = -(1.5380859375E+0_DP*A(5))/l**5
U(68) = (3.22998046875E+0_DP*A(5))/l**5
U(69) = (2.30712890625E+0_DP*A(5))/l**5
U(70) = -(4.306640625E+0_DP*A(5))/l**5
U(71) = -(A(5)*1.01513671875E+1_DP)/l**5
U(72) = -(9.228515625E-1_DP*A(5))/l**5
U(73) = (A(5)*6.4599609375E+0_DP)/l**5
U(74) = (4.15283203125E+0_DP*A(5))/l**5
U(75) = (1.5380859375E-1_DP*A(5))/l**5
U(76) = -(6.15234375E-1_DP*A(5))/l**5
U(77) = (2.7685546875E+0_DP*A(5))/l**5
U(78) = -(1.5380859375E+0_DP*A(5))/l**5
U(79) = ((g*(g*(A(5)*9.45E+2_DP*g+A(5)&
	&*1.4175E+3_DP-A(4)*1.575E+2_DP)+A(5)*6.3E+2_DP-A(4)*1.575E+2_DP+A(3)*2.25E&
	&+1_DP)+A(5)*7.875E+1_DP-A(4)*3.375E+1_DP+A(3)*1.125E&
	&+1_DP-A(2)*2.25E+0_DP)*l**2+A(5)*4.134375E+2_DP*g+A(5)&
	&*2.0671875E+2_DP-A(4)*2.296875E+1_DP)/l**4
U(80) = (A(5)*1.4765625E+2_DP*g+A(5)&
	&*7.3828125E+1_DP-A(4)*8.203125E+0_DP)/l**4
U(81) = ((g*(g*((-A(5)*3.15E+2_DP*g)-A(5)*4.725E&
	&+2_DP+A(4)*5.25E+1_DP)-A(5)*2.1000000000000002E+2_DP+A(4)&
	&*5.25E+1_DP-A(3)*7.5E+0_DP)-A(5)*2.625E+1_DP+A(4)*1.125E+1_DP-A(3)&
	&*3.75E+0_DP+7.499999999999999E-1_DP*A(2))*l**2-A(5)*8.859375E&
	&+1_DP*g-A(5)*4.4296875E+1_DP+A(4)*4.921875E+0_DP)/l**4
U(82) = ((-A(5)*7.3828125E+1_DP*g)-A(5)*3.69140625E&
	&+1_DP+A(4)*4.1015625E+0_DP)/l**4
U(83) = ((-A(5)*2.953125E+1_DP*g)-A(5)&
	&*1.4765625E+1_DP+1.640625E+0_DP*A(4))/l**4
U(84) = (A(5)*1.4765625E+1_DP*g&
	&+A(5)*7.3828125E+0_DP-8.203125E-1_DP*A(4))/l**4
ENDFUNCTION 


PURE FUNCTION  CALCULATE_ANALYTICALLY_G_6 (S0_X, S0_Y, S0_Z, SC_X, SC_Y, SC_Z, U)& 
			& RESULT(RES) 
REAL(DP), INTENT(IN)::S0_X, S0_Y, S0_Z 
REAL(DP), INTENT(IN)::SC_X(PMAX,2), SC_Y(PMAX,2), SC_Z(PMAX,2) 
COMPLEX(DP),INTENT(IN)::U(1: G_6_COEFFS_LEN ) 
COMPLEX(DP)::RES 
RES = (SC_X(5,2)*SC_Z(5,2)*U(78)+SC_Z(3,2)&
	&*SC_X(5,2)*U(77)+SC_Z(1,2)*SC_X(5,2)*U(76)+SC_X(3,2)*SC_Z(5,2)&
	&*U(48)+SC_X(3,2)*SC_Z(3,2)*U(47)+SC_Z(1,2)*SC_X(3,2)*U(46)+SC_X(1,2)&
	&*SC_Z(5,2)*U(18)+SC_X(1,2)*SC_Z(3,2)*U(17)+SC_X(1,2)*SC_Z(1,2)*U(16))&
	&*S0_y+(SC_Z(4,2)*SC_Y(5,2)*U(84)+SC_Z(2,2)*SC_Y(5,2)*U(83)&
	&+SC_Y(3,2)*SC_Z(4,2)*U(82)+SC_Z(2,2)*SC_Y(3,2)*U(81)+SC_Y(1,2)*SC_Z(4,2)&
	&*U(80)+SC_Y(1,2)*SC_Z(2,2)*U(79))*S0_x+SC_X(5,2)*SC_Z(5,2)&
	&*SC_Y(6,1)*U(75)+SC_Z(3,2)*SC_X(5,2)*SC_Y(6,1)*U(74)+SC_Z(1,2)*SC_X(5,2)&
	&*SC_Y(6,1)*U(73)+SC_Y(4,1)*SC_X(5,2)*SC_Z(5,2)*U(72)+SC_Z(3,2)&
	&*SC_Y(4,1)*SC_X(5,2)*U(71)+SC_Z(1,2)*SC_Y(4,1)*SC_X(5,2)*U(70)&
	&+SC_Y(2,1)*SC_X(5,2)*SC_Z(5,2)*U(69)+SC_Y(2,1)*SC_Z(3,2)*SC_X(5,2)&
	&*U(68)+SC_Z(1,2)*SC_Y(2,1)*SC_X(5,2)*U(67)+SC_Z(4,2)*SC_X(5,1)*SC_Y(6,2)&
	&*U(66)+SC_Z(2,2)*SC_X(5,1)*SC_Y(6,2)*U(65)+SC_Y(4,2)*SC_Z(4,2)&
	&*SC_X(5,1)*U(64)+SC_Z(2,2)*SC_Y(4,2)*SC_X(5,1)*U(63)+SC_Y(2,2)&
	&*SC_Z(4,2)*SC_X(5,1)*U(62)+SC_Y(2,2)*SC_Z(2,2)*SC_X(5,1)*U(61)&
	&+SC_Z(3,2)*SC_X(4,2)*SC_Y(5,1)*U(60)+SC_Z(1,2)*SC_X(4,2)*SC_Y(5,1)&
	&*U(59)+SC_Y(3,1)*SC_Z(3,2)*SC_X(4,2)*U(58)+SC_Z(1,2)*SC_Y(3,1)*SC_X(4,2)&
	&*U(57)+SC_Y(1,1)*SC_Z(3,2)*SC_X(4,2)*U(56)+SC_Y(1,1)*SC_Z(1,2)&
	&*SC_X(4,2)*U(55)+SC_X(4,1)*SC_Z(4,2)*SC_Y(5,2)*U(54)+SC_Z(2,2)&
	&*SC_X(4,1)*SC_Y(5,2)*U(53)+SC_Y(3,2)*SC_X(4,1)*SC_Z(4,2)*U(52)&
	&+SC_Z(2,2)*SC_Y(3,2)*SC_X(4,1)*U(51)+SC_Y(1,2)*SC_X(4,1)*SC_Z(4,2)&
	&*U(50)+SC_Y(1,2)*SC_Z(2,2)*SC_X(4,1)*U(49)+SC_X(3,2)*SC_Z(5,2)*SC_Y(6,1)&
	&*U(45)+SC_X(3,2)*SC_Z(3,2)*SC_Y(6,1)*U(44)+SC_Z(1,2)*SC_X(3,2)&
	&*SC_Y(6,1)*U(43)+SC_X(3,2)*SC_Y(4,1)*SC_Z(5,2)*U(42)+SC_X(3,2)&
	&*SC_Z(3,2)*SC_Y(4,1)*U(41)+SC_Z(1,2)*SC_X(3,2)*SC_Y(4,1)*U(40)&
	&+SC_Y(2,1)*SC_X(3,2)*SC_Z(5,2)*U(39)+SC_Y(2,1)*SC_X(3,2)*SC_Z(3,2)*U(38)&
	&+SC_Z(1,2)*SC_Y(2,1)*SC_X(3,2)*U(37)+SC_X(3,1)*SC_Z(4,2)*SC_Y(6,2)&
	&*U(36)+SC_Z(2,2)*SC_X(3,1)*SC_Y(6,2)*U(35)+SC_X(3,1)*SC_Y(4,2)&
	&*SC_Z(4,2)*U(34)+SC_Z(2,2)*SC_X(3,1)*SC_Y(4,2)*U(33)+SC_Y(2,2)&
	&*SC_X(3,1)*SC_Z(4,2)*U(32)+SC_Y(2,2)*SC_Z(2,2)*SC_X(3,1)*U(31)&
	&+SC_X(2,2)*SC_Z(3,2)*SC_Y(5,1)*U(30)+SC_Z(1,2)*SC_X(2,2)*SC_Y(5,1)*U(29)&
	&+SC_X(2,2)*SC_Y(3,1)*SC_Z(3,2)*U(28)+SC_Z(1,2)*SC_X(2,2)*SC_Y(3,1)&
	&*U(27)+SC_Y(1,1)*SC_X(2,2)*SC_Z(3,2)*U(26)+SC_Y(1,1)*SC_Z(1,2)&
	&*SC_X(2,2)*U(25)+SC_X(2,1)*SC_Z(4,2)*SC_Y(5,2)*U(24)+SC_X(2,1)*SC_Z(2,2)&
	&*SC_Y(5,2)*U(23)+SC_X(2,1)*SC_Y(3,2)*SC_Z(4,2)*U(22)&
	&+SC_X(2,1)*SC_Z(2,2)*SC_Y(3,2)*U(21)+SC_Y(1,2)*SC_X(2,1)*SC_Z(4,2)*U(20)&
	&+SC_Y(1,2)*SC_X(2,1)*SC_Z(2,2)*U(19)+SC_X(1,2)*SC_Z(5,2)*SC_Y(6,1)&
	&*U(15)+SC_X(1,2)*SC_Z(3,2)*SC_Y(6,1)*U(14)+SC_X(1,2)*SC_Z(1,2)&
	&*SC_Y(6,1)*U(13)+SC_X(1,2)*SC_Y(4,1)*SC_Z(5,2)*U(12)+SC_X(1,2)*SC_Z(3,2)&
	&*SC_Y(4,1)*U(11)+SC_X(1,2)*SC_Z(1,2)*SC_Y(4,1)*U(10)+SC_X(1,2)&
	&*SC_Y(2,1)*SC_Z(5,2)*U(9)+SC_X(1,2)*SC_Y(2,1)*SC_Z(3,2)*U(8)&
	&+SC_X(1,2)*SC_Z(1,2)*SC_Y(2,1)*U(7)+(SC_X(1,1)*SC_Z(4,2)*U(6)+SC_X(1,1)&
	&*SC_Z(2,2)*U(5))*SC_Y(6,2)+(SC_X(1,1)*U(4)*SC_Y(4,2)+SC_X(1,1)&
	&*U(2)*SC_Y(2,2))*SC_Z(4,2)+SC_X(1,1)*SC_Z(2,2)*U(3)*SC_Y(4,2)+U(1)*SC_X(1,1)*SC_Y(2,2)*S&
	&C_Z(2,2)
ENDFUNCTION 
